package com.cyksj.service.fission;

import com.cyksj.model.entity.UserMirrorFissionRecord;
import com.cyksj.model.response.UserMirrorFissionReceiveResp;

/**
 * 项目名: yhlxj2
 * 文件名: UserMirrorFissionFrontService
 * 创建者: JavaZou
 * 创建时间:2024/11/21 18:23
 */
public interface UserMirrorFissionFrontService {
	Boolean getPurchasedMirrorStatus(long userId, Long goodsId);

	UserMirrorFissionReceiveResp receiveTrialMirrorTicket(long userId, String code);

	UserMirrorFissionRecord getPresentFissionTicket(long userId);

	UserMirrorFissionRecord recordUserMirrorFission(long userId, Long relationId) throws Exception;

	Boolean getPermitStatus(long userId, Long goodsId) throws Exception;
}
